var camColor : Color = Color.black;
GetComponent("Camera").backgroundColor = camColor;
function Update () {
	if(!GetComponent("SmoothFollow").target){
		if(gameObject.FindWithTag("Player")){
			GetComponent("SmoothFollow").target = gameObject.FindWithTag("Player").transform;
		}
	}
}

@script RequireComponent(SmoothFollow)